### Class

# Meta BackgroundImage

#### Description [src]

    final class Meta.BackgroundImage : GObject.Object
    {
      /* No available fields */
    }

Represents a loaded or loading background image.

#### Ancestors

- GObject

#### Instance methods

###### meta_background_image_get_success

This function is a convenience function for checking for success, without having to call `meta_background_image_get_texture()` and handle the return of a Cogl type.

###### meta_background_image_get_texture

No description available.

###### meta_background_image_is_loaded

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Meta.BackgroundImage::loaded

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MetaBackgroundImageClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.